use colored::{ColoredString, Colorize};
use std::env::var_os;

//Root user indicator

pub fn user() -> String {
    var_os("USER")
        .expect("UnknownUser")
        .to_str()
        .expect("UnknownUser")
        .to_string()
}

pub fn root_indicator() -> ColoredString {
    let angle = "❯";
    match user().as_str() {
        "root" => angle.truecolor(255, 53, 94),
        _ => angle.truecolor(0, 255, 180),
    }
}
